extends PuzzleManager

@onready var player: Player = get_tree().root.get_child(0).get_node("Player")

@export var ball_puzzle_elements: Array[Node2D]
@export var next_room_block: Node2D

func _on_finish_room():
	pass

func _on_ball_puzzle_complete_puzzle():
	player.apply_camera_shake(10, 5)
	for elem in ball_puzzle_elements:
		elem.queue_free()


func _on_box_puzzle_complete_puzzle():
	next_room_block.queue_free()
